Bug 149142 - 5 * array subscript out of range
5 * array subscript out of range
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 04:14 EST by David Binderman
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 10:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-19 04:14:12 EST
Description of problem:

I just tried to compile package OpenIPMI-1.4.11-2 from 
Redhat Fedora development tree.

The compiler said

1.

ipmi.c(1105): warning #175: subscript out of range

The source code is

	        p->username[16] = '\0';

but

    char            username[16];

So username[16] doesn't exist. Suggest code rework.

2.

ipmi.c(1186): warning #175: subscript out of range
ipmi.c(1189): warning #175: subscript out of range

Duplicates.

3.

ipmi.c(1304): warning #175: subscript out of range

The source code is

                p->str_port[2] = ipmi_strdup(args[*curr_arg]);

but

    char            *str_port[2];

so str_port[2] doesn't exist. Suggest code re-work.

4.

ipmi.c(1305): warning #175: subscript out of range

Duplicate




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Binderman 2005-04-28 13:45:46 EDT
This bug still exists in version 1.4.11-4, in Fedora Core 4 Test 1,
dated 27 April 2005.
Comment 2 Phil Knirsch 2005-06-27 10:58:45 EDT
Should be fixed in the build i'm doing today.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.